Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 31802 - PropertySheetTab.getToolTipTextForProperty() breaks HTML ToolTips for properties
PropertySheetTab.getToolTipTextForProperty() breaks HTML ToolTips for properties
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P4 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 29447
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-09 14:23 UTC by schnake
Modified: 2008-12-22 18:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description schnake 2003-03-09 14:23:49 UTC
Hi,

the method
PropertySheetTab.getToolTipTextForProperty()
prepends a "Read/Write-Indicator" (like "(r/w) ")
to the shortDescription obtained from the given
Node.Property.

Unfortunaly this makes it impossible to have
HTML-formatted descriptions displayed correctly
(e.g. "<html><b>My</b> property</html>" becomes
"(r/w) <html><b>My</b> property</html>").

"Branding-away" by setting the prefix strings from
Bundle.properties (CTL_Property_Read_Yes etc.) to
empty does not solve the problem, too, as the code
still prepends a "hardcoded" space character.

So, either the short description should be
"decorated" in a HTML-sensitive manner, or not at all.

This one hurts a bit, since inserting "<br>" using
HTML formatting is currently the only way i am
aware of to have tooltips longer than a few words
be "readable" displayed in NetBeans.
Comment 1 _ tboudreau 2003-03-26 15:30:49 UTC
Adding to property sheet rewrite umbrella - PropertySheetTab will
be gone, as will the "(r/w)".
Comment 2 Patrick Keegan 2003-04-25 16:36:55 UTC
Cc'ing myself since we *might* be interested in eventually using
multi-line tooltips in some places.
Comment 3 _ tboudreau 2003-07-16 19:44:48 UTC
Fixed - new property sheet committed.  No more "(r/w)" in
tooltips.
Comment 4 Marian Mirilovic 2005-07-13 13:26:52 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo